Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454868 - Xephyr fails with BadDrawable (invalid Pixmap or Window parameter)
Summary: Xephyr fails with BadDrawable (invalid Pixmap or Window parameter)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810
Version: 9
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-10 13:01 UTC by Simon Schampijer
Modified: 2009-07-14 17:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:45:39 UTC


Attachments (Terms of Use)
result of running strace -ff -o Xephyr.strace Xephyr :2 (deleted)
2008-07-10 13:01 UTC, Simon Schampijer
no flags Details
my xorg.conf (deleted)
2008-07-10 13:02 UTC, Simon Schampijer
no flags Details
the xorg logs (deleted)
2008-07-10 13:03 UTC, Simon Schampijer
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 15839 None None None Never

Description Simon Schampijer 2008-07-10 13:01:08 UTC
Description of problem:

Xeephyr fails with: BadDrawable (invalid Pixmap or Window parameter)

Version-Release number of selected component (if applicable):
xorg-x11-server-Xephyr-1.4.99.905-1.20080701.fc9.x86_64

How reproducible: always

Steps to Reproduce:
1. Xephyr :2 -screen 800x480x16
2.
3.
  
Actual results:

X Error of failed request:  BadDrawable (invalid Pixmap or Window parameter)
  Major opcode of failed request:  55 (X_CreateGC)
  Resource id in failed request:  0x0
  Serial number of failed request:  7
  Current serial number in output stream:  12


Expected results:


Additional info:

I will attach logs and xorg.conf might be similar to the issue #454409

Comment 1 Simon Schampijer 2008-07-10 13:01:08 UTC
Created attachment 311477 [details]
result of running strace -ff -o Xephyr.strace Xephyr :2

Comment 2 Simon Schampijer 2008-07-10 13:02:30 UTC
Created attachment 311478 [details]
my xorg.conf

Comment 3 Simon Schampijer 2008-07-10 13:03:24 UTC
Created attachment 311479 [details]
the xorg logs

Comment 4 Adam Jackson 2008-07-21 15:17:37 UTC
I'm not able to reproduce this with:

xorg-x11-server-Xephyr-1.4.99.902-3.20080612.fc9.i386

Comment 5 Simon Schampijer 2008-07-21 15:45:31 UTC
Yeah i guess a 64bit issue - I use 
xorg-x11-server-Xephyr-1.4.99.905-1.20080701.fc9.x86_64

Comment 7 Bug Zapper 2009-06-10 02:01:34 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2009-07-14 17:45:39 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.